org.modeshape.jcr

## Class RepositoryConfiguration.Default

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.Default

- Enclosing class:
    RepositoryConfiguration

      public static class RepositoryConfiguration.Default
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ALLOW_CREATION` The default value of the `RepositoryConfiguration.FieldName.ALLOW_CREATION` field is 'true '.
    `static Set<String>` | `ANONYMOUS_ROLES` The default value of the `RepositoryConfiguration.FieldName.ANONYMOUS_ROLES` field is a list with 'admin' as the role.
    `static String` | `ANONYMOUS_USERNAME`
    `static boolean` | `ASYNC_WRITES_ENABLED`
    `static String` | `CLUSTER_NAME`
    `static String` | `DEFAULT` The default value of the `RepositoryConfiguration.FieldName.DEFAULT` field is '"default" '.
    `static boolean` | `FULL_TEXT_SEARCH_ENABLED`
    `static String` | `GARBAGE_COLLECTION_INITIAL_TIME`
    `static int` | `GARBAGE_COLLECTION_INTERVAL_IN_HOURS`
    `static String` | `GARBAGE_COLLECTION_POOL`
    `static String` | `JAAS_POLICY_NAME` The default value of the `RepositoryConfiguration.FieldName.JAAS_POLICY_NAME` field is '"modeshape-jcr" '.
    `static String` | `JOURNAL_LOCATION`
    `static String` | `JOURNALING_POOL`
    `static String` | `KIND`
    `static int` | `MAX_DAYS_TO_KEEP_RECORDS`
    `static long` | `MINIMUM_BINARY_SIZE_IN_BYTES` The default value of the `RepositoryConfiguration.FieldName.MINIMUM_BINARY_SIZE_IN_BYTES` field is '4096L ' (4 kilobytes).
    `static boolean` | `MONITORING_ENABLED`
    `static String` | `NODE_TYPE`
    `static String` | `OPTIMIZATION_INITIAL_TIME`
    `static int` | `OPTIMIZATION_INTERVAL_IN_HOURS`
    `static String` | `OPTIMIZATION_POOL`
    `static boolean` | `QUERY_ENABLED`
    `static String` | `QUERY_THREAD_POOL`
    `static boolean` | `REMOVE_DERIVED_CONTENT_WITH_ORIGINAL` Deprecated.
    `static String` | `SEQUENCING_POOL`
    `static boolean` | `SYNCHRONOUS`
    `static RepositoryConfiguration.TransactionMode` | `TRANSACTION_MODE` The default value of the `RepositoryConfiguration.FieldName.TRANSACTION_MODE` field is ' '.
    `static boolean` | `USE_ANONYMOUS_ON_FAILED_LOGINS` The default value of the `RepositoryConfiguration.FieldName.USE_ANONYMOUS_ON_FAILED_LOGINS` field is 'false '.
    `static String` | `WORKSPACE_CACHE_CONFIGURATION` The default value of the `RepositoryConfiguration.FieldName.WORKSPACE_CACHE_CONFIGURATION` field is '"org/modeshape/jcr/default-workspace-cache-config.xml" '.
    `static String` | `WORKSPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.Default()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MINIMUM_BINARY_SIZE_IN_BYTES

          public static final long MINIMUM_BINARY_SIZE_IN_BYTES

      The default value of the `RepositoryConfiguration.FieldName.MINIMUM_BINARY_SIZE_IN_BYTES` field is '4096L ' (4 kilobytes).
      See Also:
        Constant Field Values

    - #### ALLOW_CREATION

          public static final boolean ALLOW_CREATION

      The default value of the `RepositoryConfiguration.FieldName.ALLOW_CREATION` field is 'true '.
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      The default value of the `RepositoryConfiguration.FieldName.DEFAULT` field is '"default" '.
      See Also:
        Constant Field Values

    - #### TRANSACTION_MODE

          public static final RepositoryConfiguration.TransactionMode TRANSACTION_MODE

      The default value of the `RepositoryConfiguration.FieldName.TRANSACTION_MODE` field is ' '.

    - #### JAAS_POLICY_NAME

          public static final String JAAS_POLICY_NAME

      The default value of the `RepositoryConfiguration.FieldName.JAAS_POLICY_NAME` field is '"modeshape-jcr" '.
      See Also:
        Constant Field Values

    - #### ANONYMOUS_ROLES

          public static final Set<String> ANONYMOUS_ROLES

      The default value of the `RepositoryConfiguration.FieldName.ANONYMOUS_ROLES` field is a list with 'admin' as the role.

    - #### WORKSPACE_CACHE_CONFIGURATION

          public static final String WORKSPACE_CACHE_CONFIGURATION

      The default value of the `RepositoryConfiguration.FieldName.WORKSPACE_CACHE_CONFIGURATION` field is '"org/modeshape/jcr/default-workspace-cache-config.xml" '.
      See Also:
        Constant Field Values

    - #### USE_ANONYMOUS_ON_FAILED_LOGINS

          public static final boolean USE_ANONYMOUS_ON_FAILED_LOGINS

      The default value of the `RepositoryConfiguration.FieldName.USE_ANONYMOUS_ON_FAILED_LOGINS` field is 'false '.
      See Also:
        Constant Field Values

    - #### ANONYMOUS_USERNAME

          public static final String ANONYMOUS_USERNAME

      See Also:
        Constant Field Values

    - #### QUERY_ENABLED

          public static final boolean QUERY_ENABLED

      See Also:
        Constant Field Values

    - #### FULL_TEXT_SEARCH_ENABLED

          public static final boolean FULL_TEXT_SEARCH_ENABLED

      See Also:
        Constant Field Values

    - #### MONITORING_ENABLED

          public static final boolean MONITORING_ENABLED

      See Also:
        Constant Field Values

    - #### REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

          @Deprecated
          public static final boolean REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

      Deprecated.
      See Also:
        Constant Field Values

    - #### SEQUENCING_POOL

          public static final String SEQUENCING_POOL

      See Also:
        Constant Field Values

    - #### QUERY_THREAD_POOL

          public static final String QUERY_THREAD_POOL

      See Also:
        Constant Field Values

    - #### GARBAGE_COLLECTION_POOL

          public static final String GARBAGE_COLLECTION_POOL

      See Also:
        Constant Field Values

    - #### OPTIMIZATION_POOL

          public static final String OPTIMIZATION_POOL

      See Also:
        Constant Field Values

    - #### JOURNALING_POOL

          public static final String JOURNALING_POOL

      See Also:
        Constant Field Values

    - #### CLUSTER_NAME

          public static final String CLUSTER_NAME

      See Also:
        Constant Field Values

    - #### GARBAGE_COLLECTION_INITIAL_TIME

          public static final String GARBAGE_COLLECTION_INITIAL_TIME

      See Also:
        Constant Field Values

    - #### GARBAGE_COLLECTION_INTERVAL_IN_HOURS

          public static final int GARBAGE_COLLECTION_INTERVAL_IN_HOURS

      See Also:
        Constant Field Values

    - #### OPTIMIZATION_INITIAL_TIME

          public static final String OPTIMIZATION_INITIAL_TIME

      See Also:
        Constant Field Values

    - #### OPTIMIZATION_INTERVAL_IN_HOURS

          public static final int OPTIMIZATION_INTERVAL_IN_HOURS

      See Also:
        Constant Field Values

    - #### JOURNAL_LOCATION

          public static final String JOURNAL_LOCATION

      See Also:
        Constant Field Values

    - #### MAX_DAYS_TO_KEEP_RECORDS

          public static final int MAX_DAYS_TO_KEEP_RECORDS

      See Also:
        Constant Field Values

    - #### ASYNC_WRITES_ENABLED

          public static final boolean ASYNC_WRITES_ENABLED

      See Also:
        Constant Field Values

    - #### KIND

          public static final String KIND

    - #### NODE_TYPE

          public static final String NODE_TYPE

      See Also:
        Constant Field Values

    - #### SYNCHRONOUS

          public static final boolean SYNCHRONOUS

      See Also:
        Constant Field Values

    - #### WORKSPACES

          public static final String WORKSPACES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RepositoryConfiguration.Default

          public RepositoryConfiguration.Default()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.